function sensor_data = data_from_file()
    files = dir('../CS_Drillship_cRIO-master_Basin/Logs/02/26/*.csv');
    fullpaths = fullfile({files.folder}, {files.name});

    raw_data = importdata(fullpaths{1}, ',', 1);
    for i = 2:length(fullpaths)
        raw_data.data = [raw_data.data; importdata(fullpaths{i}, ',', 1).data];
    end

    %tempfix:
    raw_data.textdata{13} = 'system_time';
    raw_data.textdata{14} = 'model_time';

    sensor_data = struct();
    for i = 1:length(raw_data.textdata)
        sensor_data.(raw_data.textdata{i}) = raw_data.data(:,i);
    end
    %tempfix:
    %wave_dir = 0 is from 1:45042
    %wave_dir = pi/2 is from 45043:73116
    %wave_dir = pi/4 is from 73117:
    sensor_data.wave_dir = [zeros(45042,1); ones(73116-45042,1)*pi/2; ones(108020-73116,1)*pi/4];
    sensor_data.system_time = [0:0.05:(5401-0.05)]';
    
end